Devuan bug report logs - #419
devuan-installer: locale and time zone aren't set on a freshly installed Beowulf system

Package: devuan-installer; Maintainer for devuan-installer is Ralph Ronnquist <ralph.ronnquist@gmail.com>;

Reported by: Gregory Nowak <greg@gregn.net>

Date: Thu, 26 Mar 2020 04:18:01 UTC

Severity: minor

Done: Gregory Nowak <greg@gregn.net>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Gregory Nowak <greg@gregn.net>
Subject: bug#419: marked as done (devuan-installer: locale and time zone
 aren't set on a freshly installed Beowulf system)
Message-ID: <handler.419.D419.159547500712000.ackdone@bugs.devuan.org>
References: <20200723032126.GA6683@gregn.net>
 <158519526572.3450.16529780780738526358.reportbug@devuan>
X-Devuan-PR-Message: closed 419
X-Devuan-PR-Package: devuan-installer
Reply-To: 419@bugs.devuan.org
Date: Thu, 23 Jul 2020 03:33:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1595475182-12029-0"
[Message part 1 (text/plain, inline)]
Your message dated Wed, 22 Jul 2020 20:21:26 -0700
with message-id <20200723032126.GA6683@gregn.net>
and subject line issue resolved
has caused the Devuan bug report #419,
regarding devuan-installer: locale and time zone aren't set on a freshly installed Beowulf system
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
419: https://bugs.devuan.org/cgi/bugreport.cgi?bug=419
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-installer: locale and time zone aren't set on a freshly installed Beowulf system
Date: Wed, 25 Mar 2020 21:01:05 -0700
Package: devuan-installer
Severity: minor

Dear Maintainer,

I used a text only install option with speech by pressing s at the boot prompt.

Even though the installer asked locale and time zone questions, the locale and time zone weren't set in the freshly installed system. During the install at the select software stage, I answered a second set of questions about time zone which look identical to the questions asked when dpkg-reconfigure tzdata is run

The locale and tzdata packages were already installed. So, all I needed to do is to run dpkg-reconfigure locales, and dpkg-reconfigure tzdata. I do believe though that given the questions asked during the install, this should already have been done by the installer itself. Thank you.


-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 5.4.0-0.bpo.3-amd64 (SMP w/16 CPU cores)
Kernel taint flags: TAINT_CRAP
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled
[Message part 3 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: 419-close@bugs.devuan.org
Subject: issue resolved
Date: Wed, 22 Jul 2020 20:21:26 -0700
The reported locale and time zone issues seem to be solved in the
official Beowulf installer. Therefore, I'm closing this bug.

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Dec 2 21:57:05 2020;